OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DocumentRelationship Class Reference

`#include <StepBasic_DocumentRelationship.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_DocumentRelationship ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Document)&aRelating, const Handle(StepBasic_Document)&aRelated)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_StepBasic_Document | RelatingDocument () const
Standard_EXPORT void | SetRelatingDocument (const Handle(StepBasic_Document)&aRelating)
Standard_EXPORT Handle_StepBasic_Document | RelatedDocument () const
Standard_EXPORT void | SetRelatedDocument (const Handle(StepBasic_Document)&aRelated)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_Document | theRelating
Handle_StepBasic_Document | theRelated

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DocumentRelationship::StepBasic_DocumentRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_DocumentRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_DocumentRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Document)& | aRelating,
|  | const Handle(StepBasic_Document)& | aRelated
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DocumentRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Document StepBasic_DocumentRelationship::RelatedDocument | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Document StepBasic_DocumentRelationship::RelatingDocument | ( |  | ) | const

Standard_EXPORT void StepBasic_DocumentRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_DocumentRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepBasic_DocumentRelationship::SetRelatedDocument | ( | const Handle(StepBasic_Document)& | aRelated | ) |

Standard_EXPORT void StepBasic_DocumentRelationship::SetRelatingDocument | ( | const Handle(StepBasic_Document)& | aRelating | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_DocumentRelationship::theDescription`[private]`

Handle_TCollection_HAsciiString StepBasic_DocumentRelationship::theName`[private]`

Handle_StepBasic_Document StepBasic_DocumentRelationship::theRelated`[private]`

Handle_StepBasic_Document StepBasic_DocumentRelationship::theRelating`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DocumentRelationship.hxx